<?php
/************************************************** 
 *                 Bot Gadu-Gadu                  * 
 ************************************************** 
 * Wersja: 2.2 Stable                             * 
 * Data: 25.06.2012 (21:15)                       * 
 * Autor: Jacek Kowalski (http://jacekk.info)     * 
 *                                                * 
 * Utwor rozprowadzany na licencji                * 
 * http://creativecommons.org/licenses/by-nc/2.5/ * 
 **************************************************/

class BotMessageHTTP extends BotMessage {
	function __construct() {
		session_start();
		
		$uid = 'HTTP://'.session_id().'@localhost';
		
		$this->user = new BotUser($uid);
		$this->userAlt = $this->user;
		$this->session = new BotSession($uid);
		$this->setText($_GET['msg']);
	}
}
?>